#!/bin/ksh
export LANG=C
#-----------------------------------------------------------------
#------ Script d Audit   -----------------------------------------
#------    par Jean Franois Pinguet    --------------------------
#---------     fichier : ecsaudit --------------------------------
VersionE=" version 11-H.2.04"
#-----------------------------------------------------------------
# Utilisation :
# -------------
# ./ecsaudit
#
#debug="set -x"
# ----------------------------------------------------------------
# --- prise en charge raid5 SCSI et SSA
# --- analyse d erreurs
# --- fibres channels
# --- HACMP
# ----------------------------------------------------------------
# module d analyse
# type 	HHH : hard
# 		SSS : soft
#		EEE : Environnement
#-----------------------------------------------------------------
$debug
export LANG=C
# ---- init des variables ---------------------
# ---------------------------------------------
file=$(date +%Od%OH%OM)
typeset NbModule
NomScript=$0
Rept=$(pwd)
tpvar=$Rept"/ECSjfpAUD"$file"0101"
tpsort=$Rept"/ECSJFPAUD"
#-----------------------------------------------------------------
# --------- sauvegarde information des modules
SauveConf()
{
$debug
typeset -i a=0
typeset aa i
temp=$tpvar"SauveConf"
>$temp"jfp""1"
# --- suppression de l ancienne config
grep xxxx $NomScript > $temp"jfp""1"
mv $temp"jfp""1" $temp"jfp""2"
grep Mod $temp"jfp""2" > $temp"jfp""1"
cat $temp"jfp""1" | while read aa ; do
cat $NomScript | grep -v "$aa" > $temp"jfp""1"
cat $temp"jfp""1" > $NomScript
done
# --- ecriture des infos modules
((i=0))
cat $tpsort"lecturemodparam" | while read aa ; do
	((i+=1))
	echo $aa >> $NomScript
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- Affichage des modules paramtrs
AffichageModule()	#type   NomFichierListe:$tpsort"lecturemodparam"
{
$debug
typeset -i a=0
typeset j="$1"
typeset NomFichierListe="$2"
typeset aa i bb cc NbMo
temp=$tpvar"AffichageModule"
>$temp"jfp""1"
# --- lecture des titres de modules
((i=0))
>$tpsort"ListeTitreMH"
>$tpsort"ListeTitreMS"
>$tpsort"ListeTitreMA"
>$tpsort"ListeTitreMF"
if [[ $j = "qqqq" ]]
then
	cat "$NomFichierListe" | while read aa ; do
		((i+=1))
		modulParm[$i]=$aa
		modulParm[$i+1000]="pas d info"
		$aa "conf" #2>$temp"jfp"
	done
else
	if [[ $j = "comp" ]]
	then
		cat "$NomFichierListe" | while read bb aa cc ; do
			((i+=1))
			modulParm[$i]=$aa
			modulParm[$i+1000]=$cc
			$aa "conf" #2>$temp"jfp"
		done
		NbMo=$i
	else
		((i=0))
		cat "$NomFichierListe" | grep HHH > $temp"jfp""1"
			cat $temp"jfp""1" | while read bb aa cc ; do
			((i+=1))
			modulParmHHH[$i]=$aa
			modulParmHHH[$i+1000]=$cc
			$aa "conf" #2>$temp"jfp"
		done
		((i=0))
		cat "$NomFichierListe" | grep SSS > $temp"jfp""1"
			cat $temp"jfp""1" | while read bb aa cc ; do
			((i+=1))
			modulParmSSS[$i]=$aa
			modulParmSSS[$i+1000]=$cc
			$aa "conf" #2>$temp"jfp"
		done
		((i=0))
		cat "$NomFichierListe" | grep AAA > $temp"jfp""1"
			cat $temp"jfp""1" | while read bb aa cc ; do
			((i+=1))
			modulParmAAA[$i]=$aa
			modulParmAAA[$i+1000]=$cc
			$aa "conf" #2>$temp"jfp"
		done
		((i=0))
		cat "$NomFichierListe" | grep FFF > $temp"jfp""1"
			cat $temp"jfp""1" | while read bb aa cc ; do
			((i+=1))
			modulParmFFF[$i]=$aa
			modulParmFFF[$i+1000]=$cc
			$aa "conf" #2>$temp"jfp"
		done
	fi
fi
# --- affichage
case $j in
		HHH)	((i=0))
			cat $tpsort"ListeTitreMH" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParmHHH[$i]}" ] Valide="${modulParmHHH[$i+1000]}" : "$aa
			done
			;;
		SSS)	((i=0))
			cat $tpsort"ListeTitreMS" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParmSSS[$i]}" ] Valide="${modulParmSSS[$i+1000]}" : "$aa
			done
			;;
		AAA)	((i=0))
			cat $tpsort"ListeTitreMA" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParmAAA[$i]}" ] Valide="${modulParmAAA[$i+1000]}" : "$aa
			done
			;;
		FFF)	((i=0))
			cat $tpsort"ListeTitreMF" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParmFFF[$i]}" ] Valide="${modulParmFFF[$i+1000]}" : "$aa
			done
			;;
		qqqq)	((i=0))
			cat $tpsort"ListeTitreMH" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParm[$i]}" ] Valide="${modulParm[$i+1000]}" : "$aa
			done
			cat $tpsort"ListeTitreMS" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParm[$i]}" ] Valide="${modulParm[$i+1000]}" : "$aa
			done
			cat $tpsort"ListeTitreMA" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParm[$i]}" ] Valide="${modulParm[$i+1000]}" : "$aa
			done
			cat $tpsort"ListeTitreMF" | while read aa ; do
				((i+=1))
				echo "["$i"] [ "${modulParm[$i]}" ] Valide="${modulParm[$i+1000]}" : "$aa
			done
			;;
esac
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- ecriture de tous les modules paramtr
# --------- utilisable aprs un affichage
ecrituremodparam()  # ecrituremodparam type NumCom NumCom1
{
$debug
typeset -i a=0
typeset aa i
typeset typ=$1
typeset NumCom=$2
typeset NumCom1=$3
temp=$tpvar"ecrituremodparam"
>$temp"jfp""1"
case $typ in
		HHH)	modulParmHHH[$NumCom+1000]=$NumCom1
			;;
		SSS)	modulParmSSS[$NumCom+1000]=$NumCom1
			;;
		AAA)	modulParmAAA[$NumCom+1000]=$NumCom1
			;;
		FFF)	modulParmFFF[$NumCom+1000]=$NumCom1
			;;
esac
	((i=0))
	cat $tpsort"lecturemodparam" | grep HHH | while read aa ; do
		((i+=1))
		echo "#xxxx "${modulParmHHH[$i]}"  "${modulParmHHH[$i+1000]} >> $temp"jfp""1"
	done
	((i=0))
	cat $tpsort"lecturemodparam" | grep SSS | while read aa ; do
		((i+=1))
		echo "#xxxx "${modulParmSSS[$i]}"  "${modulParmSSS[$i+1000]} >> $temp"jfp""1"
	done
	((i=0))
	cat $tpsort"lecturemodparam" | grep AAA | while read aa ; do
		((i+=1))
		echo "#xxxx "${modulParmAAA[$i]}"  "${modulParmAAA[$i+1000]} >> $temp"jfp""1"
	done
	((i=0))
	cat $tpsort"lecturemodparam" | grep FFF | while read aa ; do
		((i+=1))
		echo "#xxxx "${modulParmFFF[$i]}"  "${modulParmFFF[$i+1000]} >> $temp"jfp""1"
	done
cat $temp"jfp""1" > $tpsort"lecturemodparam"
SauveConf
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- menu de validation et de tri des modules
ValTrimod() # type NumDeMenu titre
{
$debug
typeset -i a=0
typeset NumCom bb i
temp=$tpvar"ValTrimod"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
cat << top
MENU0.3.$2	menu de validation et de tri des
		$3
		--------------------------------
	1  -- validation des modules
	2  -- Tri des modules
 	99  -- Sortie
top
print 'Entrez le numro de commande  : \c'; read NumCom
clear
case $NumCom in
	1)	validationModule $1
		;;
	2)	Trimod $1 "2" $3 ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- tri des modules
Trimod()  # type numdemodule
{
$debug
typeset -i a=0
typeset NumCom NumCom1 NbLigne
temp=$tpvar"Trimod"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
NbLigne=$(cat $tpsort"lecturemodparam" | grep $1 | wc -l)
AffichageModule "$1" $tpsort"lecturemodparam"
print ''
print '99  -- Sortie'
print 'Choisir le numro de ligne  dplacer : \c'; read NumCom
[ $NumCom -gt $NbLigne ] && [ $NumCom -ne "99" ] && NumCom=999
[ $NumCom -le "0" ] && NumCom=999
case $NumCom in
	99)      echo 'fin' ;;
	999)	 echo 'choix pas possible' ; sleep 2 ;;
	*[0-9]*) print 'Choisir le numro du nouvel emplacement : \c'; read NumCom1
		 [ $NumCom1 -gt $NbLigne ] && NumCom1=999
		 [ $NumCom1 -le "0" ] && NumCom1=999
		 [ $NumCom1 -eq $NumCom ] && NumCom1=998
		 case $NumCom1 in
		 	999)	 echo 'choix pas possible' ; sleep 2 ;;
		 	998)	 echo 'Pas de deplacement' ; sleep 2 ;;
			*[0-9]*) sauveTrimod "$1" $NumCom $NumCom1
				 SauveConf
				  ;;
		 esac
		 SauveConf
		 ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- sauve du tri de modules
sauveTrimod()   # "$1" $NumCom $NumCom1
{
$debug
typeset -i a=0
typeset -i ordre=0
typeset aa i
temp=$tpvar"sauveTrimod"
>$temp"jfp""1"
[ $2 -gt $3 ] && ordre="999"
case $1 in
		HHH)	((i=0))
			cat $tpsort"lecturemodparam" | grep HHH | while read aa ; do
				((i+=1))
				case $i in
					$2)		>$temp"jfp""1" ;;
					$3)		if [ $ordre -eq "999" ]
							then
								echo "#xxxx "${modulParmHHH[$2]}"  "${modulParmHHH[$2+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmHHH[$i]}"  "${modulParmHHH[$i+1000]} >> $temp"jfp""2"
							else
								echo "#xxxx "${modulParmHHH[$i]}"  "${modulParmHHH[$i+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmHHH[$2]}"  "${modulParmHHH[$2+1000]} >> $temp"jfp""2"
							fi
							;;
					*[0-9]*)	echo "#xxxx "${modulParmHHH[$i]}"  "${modulParmHHH[$i+1000]} >> $temp"jfp""2"
							;;
				esac
			done
			;;
		SSS)	((i=0))
			cat $tpsort"lecturemodparam" | grep SSS | while read aa ; do
				((i+=1))
				case $i in
					$2)		>$temp"jfp""1" ;;
					$3)		if [ $ordre -eq "999" ]
							then
								echo "#xxxx "${modulParmSSS[$2]}"  "${modulParmSSS[$2+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmSSS[$i]}"  "${modulParmSSS[$i+1000]} >> $temp"jfp""2"
							else
								echo "#xxxx "${modulParmSSS[$i]}"  "${modulParmSSS[$i+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmSSS[$2]}"  "${modulParmSSS[$2+1000]} >> $temp"jfp""2"
							fi
							;;
					*[0-9]*)	echo "#xxxx "${modulParmSSS[$i]}"  "${modulParmSSS[$i+1000]} >> $temp"jfp""2"
							;;
				esac
			done
			;;
		AAA)	((i=0))
			cat $tpsort"lecturemodparam" | grep AAA | while read aa ; do
				((i+=1))
				case $i in
					$2)		>$temp"jfp""1" ;;
					$3)		if [ $ordre -eq "999" ]
							then
								echo "#xxxx "${modulParmAAA[$2]}"  "${modulParmAAA[$2+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmAAA[$i]}"  "${modulParmAAA[$i+1000]} >> $temp"jfp""2"
							else
								echo "#xxxx "${modulParmAAA[$i]}"  "${modulParmAAA[$i+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmAAA[$2]}"  "${modulParmAAA[$2+1000]} >> $temp"jfp""2"
							fi
							;;
					*[0-9]*)	echo "#xxxx "${modulParmAAA[$i]}"  "${modulParmAAA[$i+1000]} >> $temp"jfp""2"
							;;
				esac
			done
			;;
		FFF)	((i=0))
			cat $tpsort"lecturemodparam" | grep FFF | while read aa ; do
				((i+=1))
				case $i in
					$2)		>$temp"jfp""1" ;;
					$3)		if [ $ordre -eq "999" ]
							then
								echo "#xxxx "${modulParmFFF[$2]}"  "${modulParmFFF[$2+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmFFF[$i]}"  "${modulParmFFF[$i+1000]} >> $temp"jfp""2"
							else
								echo "#xxxx "${modulParmFFF[$i]}"  "${modulParmFFF[$i+1000]} >> $temp"jfp""2"
								echo "#xxxx "${modulParmFFF[$2]}"  "${modulParmFFF[$2+1000]} >> $temp"jfp""2"
							fi
							;;
					*[0-9]*)	echo "#xxxx "${modulParmFFF[$i]}"  "${modulParmFFF[$i+1000]} >> $temp"jfp""2"
							;;
				esac
			done
			;;
esac
cat $tpsort"lecturemodparam" | grep -v $1 > $temp"jfp""1"
cat $temp"jfp""2" >> $temp"jfp""1"
cat $temp"jfp""1" > $tpsort"lecturemodparam"
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- menu de validation de modules
validationModule()
{
$debug
typeset -i a=0
typeset NumCom NumCom1
temp=$tpvar"validationModule"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
print 'Liste de tous les modules:'
AffichageModule "$1" $tpsort"lecturemodparam"
print ''
print '99  -- Sortie'
print 'Entrez le numro de module  : \c'; read NumCom
case $NumCom in
	99)      echo 'fin' ;;
	*[0-9]*) print 'Valider oui/non  : \c'; read NumCom1
		 ecrituremodparam $1 $NumCom $NumCom1
		  ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- lecture de tous les modules installs
lecturemodInst()
{
$debug
typeset -i a=0
typeset aa i
temp=$tpvar"lecturemodInst"
>$temp"jfp""1"
# --- lecture de tous les modules
grep yyyy $NomScript > $temp"jfp""1"
mv $temp"jfp""1" $temp"jfp""2"
grep Mod $temp"jfp""2" > $temp"jfp""1"
grep oui $temp"jfp""1" | awk '{print $2}' > $tpsort"lecturemodInst"
# --- controle des nouveaux modules
>$temp"jfp""2"
cat $tpsort"lecturemodInst" | while read aa ; do
	cat $tpsort"lecturemodparam" | grep $aa > $temp"jfp""1"
	if [[ ! -s $temp"jfp""1" ]]
	then
		echo $aa >> $temp"jfp""2"
	fi
done
mv $temp"jfp""2" $tpsort"lecturemodInst"
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- insersion des nouveaux modules
insermodule()
{
$debug
typeset -i a=0
typeset aa i
temp=$tpvar"insermodule"
>$temp"jfp""1"
cat $tpsort"lecturemodInst" | while read aa ; do
	echo "#xxxx "$aa" oui" >> $tpsort"lecturemodparam"
done
rm -f $temp"jfp"*
return $a
}

#-----------------------------------------------------------------
# --------- lecture de tous les modules paramtr
lecturemodparam()
{
$debug
typeset -i a=0
typeset aa i
temp=$tpvar"lecturemodparam"
>$temp"jfp""1"
grep "#xxxx" $NomScript > $temp"jfp""1"
mv $temp"jfp""1" $temp"jfp""2"
grep Mod $temp"jfp""2" > $tpsort"lecturemodparam"
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- informations d execution
information()
{
$debug
cat << top
Utilisation du script d audit :
Un fichier audit_NomMachine_Modle_S.N_.html sera gnr dans le rpertoire
de lancement du script ecsaudit

	-c   : fichier compress.
	-n   : l argument suivant devra contenir le nom du client
		entre double quote.
	conf: mode configuration: menu de configuration des
		modules, permet de les valider et de choisir leur ordre
		d execution.

s il n y a pas d argument, le script sera execut
sans le nom du client, et le fichier de sortie ne sera pas compress.

EXEMPLE :
exemple uniquement avec le nom du client :
			ecsaudit -n "ClientTonThon et fils"

exemple avec le nom du client et avec en resultat un fichier compress :
			ecsaudit -n "ClientTonThon et fils" -c

exemple d entre dans les menus de configuration :
			ecsaudit conf
top
}
#-----------------------------------------------------------------
# --------- menu de configuration des modules
menu0()
{
$debug
lecturemodparam
lecturemodInst
typeset -i a=0
typeset NumCom
temp=$tpvar"menu0"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
cat << top
MENU0		Menu de configuration des modules d audit
		-----------------------------------------

	1  -- affichage des Modules Configurs
	2  -- configuration par type d audit
	3  -- configuration manuel de l'audit
	4  -- insertion de nouveaux modules

 	99  -- Sortie
top
print 'Entrez le numro de commande  : \c'; read NumCom
case $NumCom in
	1)	menuAffiModConf ;;
	2)	echo zzz ;;
	3)	menuConfManu ;;
	4)	menuInsNewMod ; rm -f $temp"jfp"* ; exit ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- menu d affichage des modules configurs
menuAffiModConf()
{
$debug
typeset -i a=0
typeset NumCom bb
temp=$tpvar"menuAffiModConf"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
cat << top
MENU0.1		Affichage des Modules Configurs
		--------------------------------

	1  -- affichage des Modules HARD
	2  -- affichage des Modules SOFT
	3  -- affichage des Modules Commandes AIX
	4  -- affichage des Modules FichierAIX

 	99  -- Sortie
top
print 'Entrez le numro de commande  : \c'; read NumCom
case $NumCom in
	1)	echo "Modules HARD" ; AffichageModule "HHH" "$tpsort"lecturemodparam"" ; print 'appuyez sur une touche pour continuer : \c'; read bb ;;
	2)	echo "Modules SOFT" ; AffichageModule "SSS" "$tpsort"lecturemodparam"" ; print 'appuyez sur une touche pour continuer : \c'; read bb ;;
	3)	echo "Modules Commandes AIX" ; AffichageModule "AAA" "$tpsort"lecturemodparam"" ; print 'appuyez sur une touche pour continuer : \c'; read bb ;;
	4)	echo "Modules FichierAIX" ; AffichageModule "FFF" "$tpsort"lecturemodparam"" ; print 'appuyez sur une touche pour continuer : \c'; read bb ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- menu de config des modules
menuConfManu()
{
$debug
typeset -i a=0
typeset NumCom bb i
temp=$tpvar"menuConfManu"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
cat << top
MENU0.3		Configuration des modules
		-------------------------

	1  -- validation/trier les Modules HARD
	2  -- validation/trier les Modules SOFT
	3  -- validation/trier les Modules Commandes AIX
	4  -- validation/trier les Modules FichierAIX

 	99  -- Sortie
top
print 'Entrez le numro de commande  : \c'; read NumCom
clear
case $NumCom in
	1)	ValTrimod HHH "1" "Modules HARD" ;;
	2)	ValTrimod SSS "2" "Modules SOFT" ;;
	3)	ValTrimod AAA "3" "Modules Commandes AIX" ;;
	4)	ValTrimod FFF "4" "Modules FichierAIX" ;;
esac
done
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- menu d insertion de nouveaux modules
menuInsNewMod()
{
$debug
typeset -i a=0
typeset NumCom bb
temp=$tpvar"menuInsNewMod"
>$temp"jfp""1"
clear
let NumCom=0
while [[ $NumCom != '99' ]]
do
clear
cat << top
MENU0.4		Nouveaux modules non installs
		------------------------------
top
AffichageModule qqqq "$tpsort"lecturemodInst""
print 'tapez 99 pour sortir '
print 'Entrez oui/non pour faire l insertion  : \c'; read NumCom
case $NumCom in
	oui)	echo "les nouveaux modules vont tre insrs" ; sleep 2
		insermodule
		echo "les nouveaux modules sont insrs" ; sleep 2
		;;
	non)	echo "ATTENTION, nous n avez pas inser de nouveaux modules" ; sleep 2 ;;
esac
done
SauveConf
rm -f $temp"jfp"*
return $a
}
#-----------------------------------------------------------------
# --------- fonction du script module
# ---------------------------------------------------
#-----------------------------------------------------------------
# ---- Execution du corps du script
CorpsScript()
{
$debug
lecturemodparam
lecturemodInst
SauveConf
Presentation "$NomClient"
Module "HHH"
Module "SSS"
Module "AAA"
Module "FFF"

Resume
sommaire
CorpAudit
FinAudithtml
audit="audit"$NomLabel"_"$(hostname)"_"$NomAudit$DateAudit$Extension
cat $tpvar"presentation" > $audit
cat $tpvar"Resume" >> $audit
cat $tpvar"sommaire" >> $audit
cat $tpvar"corpaudit" >> $audit
cat $tpvar"finaudit" >> $audit
}
# ---------------------------------------------------
# --- Execution des modules
ExecutionMod()
{
$debug
typeset -i a=0
typeset i k
typeset -i j=0
typeset temp
typeset TypeModule
temp=$tpvar"ExM"
TypeModule=$1
>$temp"jfp"
grep xxxx $NomScript > $tpvar"listemodule"
mv $tpvar"listemodule" $temp"jfp"
grep $TypeModule $temp"jfp" > $tpvar"listemodule"
for i in $(grep Mod $tpvar"listemodule" | awk '{print $2}')
do
	((j+=1))
	k="xxxx $i"
	ListeModule[$j]=$i	# nom du module
	ListeModule[$j+3000]=$(grep "$k" $tpvar"listemodule" | awk '{print $3}') # validation du module
done
NbModule=$j
let j=0
while (( $j < $NbModule ))
do
	((j+=1))
	if [[ "${ListeModule[$j+3000]}" = "oui" ]]
	then
	${ListeModule[$j]} conf
	echo "Executing : ${ListeModule[$j]} $j $NbModule -->  $TitreMod" 
		${ListeModule[$j]} $j $NbModule 2>$temp"jfp"
	fi
done
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Suppression des modules vides
SuppModulVide() # $TypeModule
{
$debug
typeset -i a=0
typeset TypeModule aa bb temp long position
TypeModule=$1
temp=$tpvar"SuppModulVide"
>$temp"jfp""1"
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod

ls $tpsort"Mod"$TypeModule* | while read aa bb ; do
	if [[ ! -s $aa ]]
	then
		long=$(ls $aa | wc -m)
		let position=long-6
		bb=$(echo $aa | cut -c $position- )
		rm -f $aa 2>$temp"jfp""1"
		rm -f $tpsort"Som"$bb 2>$temp"jfp""1"
		rm -f $tpsort"Res"$bb 2>$temp"jfp""1"
	fi
done
return $a
}
# ---------------------------------------------------
# --- Chargement des titres et signet des modules
TableTitre()
{
$debug
typeset i aa bb num titre
typeset -i j=$1
typeset -i a=0
typeset temp NomMod
NomMod=$tpvar"TableTitre"
temp=$tpvar"TableTitre"
>$temp"jfp""1"
let i=0
NbLigneSomm=1
ls $tpsort"Som"* | while read aa ; do
	((i+=1))
	num=$(head -n 1 $aa | tail -n 1)
	titre=$(head -n 2 $aa | tail -n 1)
	# --- calcul des signets
	signet="titre"$i
	echo $signet >> $aa
	case $aa in
		*HHH*)
			TitreS[$num+1000]="$titre"
			NumS[$num+1000]="$num"
			SignetS[$num+1000]="$signet"
			;;
		*SSS*)
			TitreS[$num+2000]="$titre"
			NumS[$num+2000]="$num"
			SignetS[$num+2000]="$signet"
			;;
		*AAA*)
			TitreS[$num+3000]="$titre"
			NumS[$num+3000]="$num"
			SignetS[$num+3000]="$signet"
			;;
		*FFF*)
			TitreS[$num+4000]="$titre"
			NumS[$num+4000]="$num"
			SignetS[$num+4000]="$signet"
			;;
	esac
	# --- calcul nombre de lignes
	if (( $NbLigneSomm <= $num ))
	then
		NbLigneSomm=$num
	fi
done
rm -f $temp"jfp"*
return $a
}
#
# ---------------------------------------------------
# --- Execution des modules
Module() # type module HHH ou SSS ou EEE ou AAA
{
$debug
typeset -i a=0
typeset TypeModule
TypeModule=$1
ExecutionMod "$TypeModule"
SuppModulVide "$TypeModule"
return $a
}
# ---------------------------------------------------
# --- Presentation HTML audit
Presentation()  # NomClient
{
$debug
typeset -i a=0
typeset NomClient
NomClient=$1
typeset UtilModule temp NomMod NumPart NomPart sn
presentation=$tpvar"presentation"
# --- debut de l affichage HTML
echo '<html>' > $presentation
	echo '<head>' >> $presentation
		echo '<meta http-equiv="content-type" content="text/html;charset=iso-8859-1">' >> $presentation
		echo '<meta name="Lyon" content="RS6000">' >> $presentation
		echo '<title>Audit :'$(hostname)' --- Welcome to audit ECS --- Version : '$VersionE' --</title>' >> $presentation
	echo '</head>' >> $presentation
# --- debut du corp HTML
	echo '<body bgcolor="#ffffff">' >> $presentation
		echo '<font size="+5" color="#59b394"><b>ECS</b></font> <font size="-1">' >> $presentation
			echo '<marquee width="331" direction="right" loop="infinite" scrollamount="10" align="bottom" height="30">SOLUTIS<b>  Date : </b>'$(date +%Od/%Om/%Oy,%OH:%OM)'</marquee>' >> $presentation
		echo '</font>' >> $presentation
		echo '<font size="+3"><b>  Audit RS6000</b></font><br>' >> $presentation
		echo '<font size="+2">    Customer : </font><font size="+3"><b>'$NomClient'</b></font><hr>' >> $presentation
ModelMachine
FormTypeSerie
echo '<font size="-1"><b>Serveur name : </b>'$(hostname)'  ; \c' >> $presentation
cat $tpvar"FormTypeSerie" | read sn
echo $sn >> $presentation
sn=$(cat $tpvar"FormTypeSerie" | wc -l )
if [ $sn != "1" ]
then
	echo '<br>' >> $presentation
	cat $tpvar"FormTypeSerie" | grep -v "$sn" >> $presentation
	echo '<br>' >> $presentation
fi
uname -L | read NumPart NomPart
[ $NomPart != "NULL" ] && echo '<font size="-1"><b>Partition n: </b>'$NumPart'<font size="-1"><b> ; Partition name : </b>'$NomPart >> $presentation
Loguser=$(who am i | awk '{print $1}')
echo '<font size="-1"><b> ; User for executing audit : </b>'$Loguser >> $presentation
echo '<hr>' >> $presentation
return $a
}
# ---------------------------------------------------
# --- Fin d audit html
FinAudithtml()
{
$debug
typeset -i a=0
typeset UtilModule temp NomMod
finAudit=$tpvar"finaudit"
echo '<p><hr><b>End of the audit</b><font size="-1">, the document was created by a script AIX directed by Jean Franois Pinguet</font><br>' > $finAudit
#echo '<p><hr><b>Fin de l audit</b><font size="-1">, ce document a t cr par un script AIX ralis par Jean Franois Pinguet</font><br>' > $finAudit
echo '<a href="#sommaire"><font size="-1">return top</font></a></p>' >> $finAudit
# --- fermeture du corp HTML
echo '</body>' >> $finAudit
# fin d audit
# --- fermeture de la page html
echo '</html>' >> $finAudit
return $a
}
#-----------------------------------------------------------------
# --- module
#-----------------------------------------------------------------
# ---------------------------------------------------
# --- Information de Resume de l audit
Resume()
{
$debug
typeset i aa bx cx
typeset -i j=$1
typeset -i a=0
typeset UtilModule temp NomMod memoire memoire1
NomMod=$tpvar"Resume"
UtilModule="Resume"
temp=$tpvar$j"Resume"
>$temp"jfp""1"
echo '<a name="resume"></a>' > $NomMod
echo '<font size=+1><b>Resuming</b></font><br>' >> $NomMod
# --- calcul des infos du systme
echo '<b> AIX level : </b>'$(oslevel)'<br>' >> $NomMod
for i in $(lsdev -C -F name | grep proc)
	do
	processeur=$i
done
echo '<b>Quantity of processor        : </b>'$(lsdev -Cc processor|wc -l)'<b> , Model : </b>'$(lsattr -El $processeur | tail +2 | awk ' { print $1,$2 } ')'<br>' >> $NomMod
echo $(bindprocessor -q)'<br>'  >> $NomMod
memoire=$(bootinfo -r)
[ $? = 0 ] && let memoire1=$memoire/1024
echo "Really memory size :  $memoire1 Mbytes"'<br>' >> $NomMod
# --- controle du cache
for i in $(lsdev -C -F name | grep L2cache)
do
	echo 'Cache : '$i'  :  ' >> $NomMod
	lsattr -El $i >> $NomMod
	echo '<br>' >> $NomMod
done
ls $tpsort"Res"* | while read aa ; do
cat $aa >> $NomMod
done
echo '</font><hr>' >> $NomMod
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Calcul du sommaire de l audit
sommaire()
{
$debug
typeset i aa bb num titre
typeset -i j=$1
typeset -i a=0
typeset UtilModule temp NomMod bb
NomMod=$tpvar"sommaire"
UtilModule="Sommaire"
temp=$tpvar$j"sommaire"
>$temp"jfp""1"
echo '<a name="sommaire"></a>' >> $NomMod
echo '<font size=+1><b>Index table</b></font><br>' >> $NomMod
# recupration des titres
TableTitre
# -- debut table du sommaire
echo '<TABLE cellpadding="1" cellspacing="1" border="0" bgcolor=#FFFFCC>' >> $NomMod
echo '<tr bgcolor=#FFCCCC>' >> $NomMod
echo '<td><li><a><font size=-1><b>Hard Audit</b></font></a></td>' >> $NomMod
echo '<td><li><a><font size=-1><b>System Audit</b></font></a></td>' >> $NomMod
echo '<td><li><a><font size=-1><b>Aix Command Audit</b></font></a></td>' >> $NomMod
echo '<td><li><a><font size=-1><b>Aix file Audit</b></font></a></td>' >> $NomMod
echo '</tr>' >> $NomMod
let i=0
while (( i < $NbLigneSomm ))
do
((i+=1))
echo '<tr>' >> $NomMod
bb="." ; [ ${SignetS[$i+1000]} != "" ] 2>$temp"jfp""3" && bb="1." ; echo '<td><font size=-1><a><b> '$bb ${NumS[$i+1000]}' </a></b><a href=#'${SignetS[$i+1000]}'>'${TitreS[$i+1000]}'</font></a></td>' >> $NomMod
bb="." ; [ ${SignetS[$i+2000]} != "" ] 2>$temp"jfp""3" && bb="2." ; echo '<td><font size=-1><a><b> '$bb ${NumS[$i+2000]}' </a></b><a href=#'${SignetS[$i+2000]}'>'${TitreS[$i+2000]}'</font></a></td>' >> $NomMod
bb="." ; [ ${SignetS[$i+3000]} != "" ] 2>$temp"jfp""3" && bb="3." ; echo '<td><font size=-1><a><b> '$bb ${NumS[$i+3000]}' </a></b><a href=#'${SignetS[$i+3000]}'>'${TitreS[$i+3000]}'</font></a></td>' >> $NomMod
bb="." ; [ ${SignetS[$i+4000]} != "" ] 2>$temp"jfp""3" && bb="4." ; echo '<td><font size=-1><a><b> '$bb ${NumS[$i+4000]}' </a></b><a href=#'${SignetS[$i+4000]}'>'${TitreS[$i+4000]}'</font></a></td>' >> $NomMod
echo '</tr>' >> $NomMod
done
echo '</table>' >> $NomMod
# --- fin de table
echo '</font><hr>' >> $NomMod
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Corps d audit
CorpAudit()
{
$debug
typeset i aa bb ee Num long position
typeset -i j=$1
typeset -i a=0
typeset UtilModule temp NomMod TypeModule titre Nom aa bb ee
NomMod=$tpvar"corpaudit"
UtilModule="corpaudit"
temp=$tpvar$j"corpaudit"
>$temp"jfp""1"
>$NomMod
for TypeModule in HHH SSS AAA FFF
do
	case $TypeModule in
		HHH)
			titre=" Hard Audit : "
			Nom="hard"
			Num="1."
			;;
		SSS)
			titre=" Soft Audit : "
			Nom="soft"
			Num="2."
			;;
		AAA)
			titre=" Aix command Audit : "
			Nom="aix"
			Num="3."
			;;
		FFF)
			titre=" Aix file Audit : "
			Nom="fichier"
			Num="4."
			;;
	esac
	echo '<a name="'$Nom'"></a>' >> $NomMod
	echo '<font size=+1><b>'$Num$titre'</b></font><br>' >> $NomMod
	grep "#xxxx" $NomScript > $temp"jfp""1"
	mv $temp"jfp""1" $temp"jfp""2"
	grep Mod$TypeModule $temp"jfp""2" > $temp"jfp""1"
	cat $temp"jfp""1" | while read ee aa bb ; do
		if [[ -s $tpsort$aa ]]
		then
			long=$(ls $tpsort$aa | wc -m)
			let position=long-6
			bb=$(echo $tpsort$aa | cut -c $position- )
			echo '<a name="'$(head -n 3 $tpsort"Som"$bb | tail -n 1)'"></a>' >> $NomMod
			echo '<b>'$Num$(head -n 1 $tpsort"Som"$bb | tail -n 1)'. '$(head -n 2 $tpsort"Som"$bb | tail -n 1)'</b>'  >> $NomMod
			echo '<font size=-1><PRE width=12>' >> $NomMod
			cat $tpsort$aa >> $NomMod
			echo '</PRE></font>' >> $NomMod
			echo '<a href="#sommaire"><font size="-1">return top</font></a><hr>' >> $NomMod
		fi
	done
done
echo '</font><hr>' >> $NomMod
#cat $NomMod
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de modle et num de srie
ModelMachine()
{
$debug
typeset -i j=$1
typeset -i a=0
typeset UtilModule temp NomMod hrd
NomMod=$tpvar"ModelMachine"
UtilModule="Model Type and Serial number"
temp=$tpvar$j"ModMach"
>$temp"jfp""1"
lscfg -vp > $temp"jfp"
#cat FichHard > $temp"jfp"
if [ $? = 0 ]
then
	# --- machine MCA ---
	cat  $temp"jfp" | grep 'MCA bus' >  $temp"jfp""1"
	if [ $? != 0 ]
	then
		# --- machine repondant  Type/Modle
		cat  $temp"jfp" | grep 'PCI bus' >  $temp"jfp""1"
		if [ $? = 0 ]
		then
			cat  $temp"jfp" | grep 'Type/Model' >  $temp"jfp""1"
			if [ $? = 0 ]
			then
				cat  $temp"jfp" | grep 'Type/Model' >> $NomMod
				cat  $temp"jfp" | grep 'Machine/Cabinet' >> $NomMod
			else
				cat  $temp"jfp" | grep 'Type and Model' >  $temp"jfp""1"
				if [ $? = 0 ]
				then
					#cat  $temp"jfp" | grep "PCI bus" >> $NomMod
					cp $temp"jfp" $tpvar"FichHard"
					NumSerie $j
				else
					# --- pas de num de serie en PCI
					cat  $temp"jfp" | grep "PCI bus" >> $NomMod
				fi
			fi
		fi
	else
		# --- pas de num de serie en MCA
		cat  $temp"jfp" | grep "MCA bus" >> $NomMod
	fi
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de  num de srie
NumSerie()
{
$debug
typeset -i j=$1
typeset -i a=0
typeset UtilModule temp NomMod hrd longhard h tabu i k l
NomMod=$tpvar"NumSerie"
UtilModule="Srial number"
temp=$tpvar$j"NumSerie"
>$temp"jfp""1"
longhard=$(cat $tpvar"FichHard" | wc -l)
h=1
until (( $h > $longhard ))
do
        head -n $h $tpvar"FichHard" | tail -n 1 > $temp"jfp"
        cat $temp"jfp" | grep 'Type and Model' > $temp"jfp1"
        cat $temp"jfp1" > $temp"jfp"
        if [[ $(cat $temp"jfp") != "" ]]
        then
                # ---- recherche du debut des caractres dans la ligne ----
                longtemp=$(cat $temp"jfp" | wc -m)
                i=0
                tabu=""
                until [[ $i -eq $longtemp ]] || [[ $(echo $tabu) != "" ]]
                       do
                        let i=$i+1
                        tabu=$(head -c $i $temp"jfp")
                done
                # ---- fin de recherche debut des caractres dans la ligne ----
                # ---- recherche debut de paragraphe en controlant le debut de ligne-
		let l=$h
		tabu=""
		let i=$i-1
		until [[ $l -eq 1 ]] || [[ $(echo $tabu) != "" ]]
			do
			# --- lecture de la ligne precedante ---
			let l=$l-1
			head -n $l $tpvar"FichHard" | tail -n 1 > $temp"jfp"
			tabu=$(head -c $i $temp"jfp")
		done
		# ---- control si l on ce trouve au bon endroit dans le fichier ---
		#if [[ $(cat $temp"jfp" | grep system) != "" ]] || [[ $(cat $temp"jfp" | grep System) != "" ]]
		if [[ $(cat $temp"jfp" | grep -i system) != "" ]]
		then
			# --- recherche de la fin du paragraphe ---
			let k=$l
			tabu=""
			until [[ $k -eq $longhard ]] || [[ $(echo $tabu) != "" ]]
			do
			# --- lecture de la ligne suivant ---
				let k=$k+1
				head -n $k $tpvar"FichHard" | tail -n 1 > $temp"jfp"
				tabu=$(head -c $i $temp"jfp")
			done
			let l=$k-$l
			head -n $k $tpvar"FichHard" | tail -n $l > $temp"jfp"
			grep -E "Serial|Model" $temp"jfp" >> $NomMod
		fi
	fi
let h=$h+1
done
rm -f $temp"jfp"*
return $a
}
# ----------------------------------------------------
# --- Mise en forme du num de type,srie
FormTypeSerie()
{
$debug
typeset -i a=0
typeset Nblignes i j long fichier temp long
typeset NomMod UtilModule LignePair NbModuleMachine position
NomMod=$tpvar"FormTypeSerie"
UtilModule="MiseEnFormeTypeSerie"
temp=$tpvar"FormTypSer"
>$temp"jfp""1"
>$NomMod
# --- mise en forme num Type,serie
cat $tpvar"ModelMachine" > $temp"jfp"
cat $tpvar"NumSerie" >> $temp"jfp" 2>$temp"jfp""1"
#cat $temp"jfp" |tr '.' '=' | grep "==" | tr '=' '.' > $temp"jfp1"
cat $temp"jfp" | grep ".." > $temp"jfp1"
# mesure nb de ligne
Nblignes=$(cat $temp"jfp1" | wc -l)
# vrif nb de ligne paire
let LignePair=Nblignes-Nblignes/2*2
if [[ $LignePair = 0 ]] || [[ $Nblignes = 0 ]]
then
	>$NomMod
	# print "ligne pair"
	# --- sparation du type et modle
	let NbModuleMachine=Nblignes/2
	let i=0
	until (( $i >= $NbModuleMachine ))
	do
		((i+=1))
		head -n $i $temp"jfp""1" | tail -n 1 > $temp"jfp""2"
		long=$(cat $temp"jfp""2" | wc -m)
		let position=long-8
		let j=$i+$NbModuleMachine
		head -n $j $temp"jfp""1" | tail -n 1 >> $temp"jfp""2"
		# extraction du Type,serie
		NomAudi[$i]=$(cat $temp"jfp""2" | cut -c $position- | awk '{printf $0"_"}')
		echo "<b>Type et S/N  :  </b>""$(cat $temp"jfp""2" | cut -c $position- | awk '{printf $0"; \t"}')" >> $NomMod
	done
	NomAudit=${NomAudi[1]}
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---                               DEBUT DES MODULES
# ---------------------------------------------------
# --- Module de base
ModHHH001()  # Numro d execution
{
$debug
#yyyy ModHHH001 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH001"
TitreModule="Module de base HARD"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
>$Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS001()  # Numro d execution
{
$debug
#yyyy ModSSS001 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS001"
TitreModule="Module de base SOFT"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
>$Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA001()  # Numro d execution
{
$debug
#yyyy ModAAA001 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA001"
TitreModule="Module de base Commande AIX"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
>$Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModFFF001()  # Numro d execution
{
$debug
#yyyy ModFFF001 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="FFF001"
TitreModule="Module de base FichierAIX"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
>$Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMF"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModFFF002()  # Numro d execution
{
$debug
#yyyy ModFFF002 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="FFF002"
TitreModule="inittab file"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
cat /etc/inittab >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMF"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModFFF003()  # Numro d execution
{
$debug
#yyyy ModFFF003 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="FFF003"
TitreModule="hosts file"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
cat /etc/hosts >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMF"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModFFF004()  # Numro d execution
{
$debug
#yyyy ModFFF004 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="FFF004"
TitreModule="/etc/inetd.conf file"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
cat /etc/inetd.conf >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMF"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModFFF005()  # Numro d execution
{
$debug
#yyyy ModFFF005 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="FFF005"
TitreModule="/etc/rc.tcpip file"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
cat /etc/rc.tcpip >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMF"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}


ModFFF007()  # Numro d execution
{
$debug
#yyyy ModFFF007 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod fich LastFich
NomMod="FFF007"
TitreModule="ulimit -a"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
ulimit -a >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModFFF008()  # Numro d execution
{
$debug
#yyyy ModFFF008 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod fich LastFich
NomMod="FFF008"
TitreModule="/etc/qconfig (printer)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
cat /etc/qconfig >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH002()  # Numro d execution
{
$debug
#yyyy ModHHH002 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod sas
NomMod="HHH002"
TitreModule="SAS Raid Card"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cc adapter -F name | grep sas >$temp"jfp1"
if [ $? = 0 ]
then
	lsdev -l sissas* -F name | while read sas ; do
		echo '</PRE><b><u>Adapter : '$sas'</u></b><PRE width=12>' >> $Modu
		echo '</PRE><b>Diplaying Rechargeable Battery Information : '$sas'</b><PRE width=10>' >> $Modu
		sissasraidmgr -M -o0 -l $sas >> $Modu
		echo '</PRE><b>Viewing the SAS device resource information : '$sas'</b><PRE width=10>' >> $Modu
		sissasraidmgr -Z -o1 -j3 -l $sas >> $Modu
		echo '</PRE><b>Viewing the SAS device resource locations : '$sas'</b><PRE width=10>' >> $Modu
		sissasraidmgr -Z -o0 -j3 -l $sas >> $Modu
		echo '</PRE><b>Viewing the Disk Array Configuration : '$sas'</b><PRE width=10>' >> $Modu
		sissasraidmgr -Ll $sas -j1 >> $Modu
	done
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH003()  # Numro d execution
{
$debug
#yyyy ModHHH003 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH003"
TitreModule="Adapters lists"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
lsdev -Cc adapter > $temp"jfp5"
echo '</PRE>Adapter...|...P/N.....FRU...|...Type/model...|...Firmware...|...Info_Suppl<PRE width=10>' >> $temp"jfp5"
lsdev -Cc adapter -F name | while read adapt ; do
addrCtrl=$(lsdev -Cl $adapt | awk '{ print $3 }' | cut -c3-3)
if [ "$addrCtrl" = "-" ]
then
	lscfg -vl $adapt | grep -iE "(Z0)|(Z9)|FRU|ROS Level|Microcode|Part Number|Feature Code" | tr " " "#" > $temp"jfp2"
	AdapZO=$(cat $temp"jfp2" | grep -i "(Z0)" | tr ")" " " | awk '{print $2}' | tr "#." "  ")
	AdapFRU=$(cat $temp"jfp2" | grep -i "FRU" | tr "." " " | awk '{print $2}' | tr "#." " ")
	AdapZ9=$(cat $temp"jfp2" | grep -i "(Z9)" | tr ")" " " | awk '{print $2}' | tr "#." "  ")
	cat $temp"jfp2" | grep -i "Microcode" | tr "." " " | read design AdapMicr1
	AdapMicr=$(echo $AdapMicr1 | tr "# " " .")
	cat $temp"jfp2" | grep -iE "ROS#Level" | tr "." " " | read design AdapRos1
	AdapRos=$(echo $AdapRos1 | tr "# " " .")

	AdapPart=$(cat $temp"jfp2" | grep -i "Part#Number" | tr "." " " | awk '{print $2}' | tr "#." "  ")
	AdapFeature=$(cat $temp"jfp2" | grep -i "Feature Code" | tr "." " " | awk '{print $2}' | tr "#." "  ")
	valadpt=$(echo $AdapPart$AdapFRU$AdapRos$AdapZO$AdapFeature | tr -d " ")
	if [ $valadpt != "" ]
	then
		echo $adapt " "$AdapPart" "$AdapFRU" ("$AdapRos" "$AdapMicr") ("$AdapZO") ("$AdapZ9")("$AdapFeature" "$AdapRos")" >> $temp"jfp7"
	fi
fi
done
cat $temp"jfp5" >> $Modu
cat $temp"jfp7" >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Commande lsdev -C
ModHHH004()  # Numro d execution
{
$debug
#yyyy ModHHH004 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH004"
TitreModule="Devices lists"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
lsdev -C >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de controle ssa
ModHHH005()  # Numro d execution
{
$debug
#yyyy ModHHH005 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod i jj Capac
NomMod="HHH005"
TitreModule="Raid SSA card"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
#Recherche de carte SSA RAID
lsdev -Cc adapter -F name | grep -v siss | grep ssa >$temp"jfp""1"
if [ $? = 0 ]
then
	echo '</PRE><b>Configured adapter SSA :</b><PRE width=10>' >> $Modu
	lsdev -Cc adapter -F name | grep -v siss | grep ssa >> $Modu
		lsdev -Cc adapter -F name | grep -v siss | grep ssa | while read jj ; do

# info des connexions sur les cartes SSA raid
	echo '</PRE><b>SSA link :</b><PRE width=10>' >> $Modu
		echo 'disk   '$jj'   P/N      S/N           A1  A2   B1  B2    etat' >> $Modu
		ssaraid -I -z -l $jj | grep -v Dormant | grep -v hdisk | while read pdisk SNum etat aa dim bb ; do
			ref=$(lscfg -vl $pdisk | grep -E 'Part|Rfrence')
			long=$(echo $ref | wc -m)
			let position=long-7
			ref1=$(echo $ref | cut -c $position-)
			ssaconn -l $pdisk -a $jj | read ppdisk aa A1 A2 B1 B2
			echo $ppdisk' '$aa' '$ref1' '$SNum'  '$A1'   '$A2'   '$B1'   '$B2'   '$etat' '$dim >> $temp"jfp""4"
		done
		# --- comptage des disques pour le rsum
		cp $temp"jfp""4" $temp"jfp""3"
		cat $temp"jfp""3" | awk '{print $2 }' | while read bb ; do
			cat $temp"jfp""3" | awk '{print $2 }' | read bb
			if [[ $bb != "" ]]
			then
				Capac=$(head -n 1 $temp"jfp""3" | tail -n 1 | awk '{print $9}')
				Nbbb=$(cat $temp"jfp""3" | grep $bb | wc -l)
				echo $jj' --> '$Nbbb' x '$bb'   ('$Capac')<br>' >> $Resu
				cat $temp"jfp""3" | grep -v $bb > $temp"jfp""2" ; mv $temp"jfp""2" $temp"jfp""3"
			fi
		done
	done
	cat $temp"jfp""4" >> $Modu
		echo '' >> $Modu
		echo '</PRE><b>Relation ship pdisk to hdisk :</b><PRE width=10>' >> $Modu
		for i in $(lsdev -CS1 -cpdisk -sssar -F name)
		do
  			  echo "$i: "$(ssaxlate -l $i) >> $Modu
		done
	echo '' >> $Modu
#          info en fonction des adapters ssa
		for i in $(lsdev -Cc adapter -F name | grep -v siss | grep ssa)
			do
				echo 'Raid5 Lists on '$i >> $Modu
				 /usr/ssa/ssaraid/bin/ssaraid.smit lsmssaraid_hdr_cmd_to_exec  -l $i >> $Modu
			echo '' >> $Modu
				echo 'Hot spare disk lists on '$i >> $Modu
				/usr/ssa/ssaraid/bin/ssaraid.smit lhssaraid_hdr_cmd_to_exec  -l $i >> $Modu
			echo '' >> $Modu
#          info en fonction des adapters ssa et des Raid5 associs
				for jj in $(/usr/ssa/ssaraid/bin/ssaraid.smit lsmssaraid_hdr_cmd_to_exec  -l $i | awk '{print $1}')
					do
						echo 'disks list member '$jj' on '$i >> $Modu
						/usr/ssa/ssaraid/bin/ssaraid.smit lssaraid_hdr_cmd_to_exec  -l $i -n $jj >> $Modu
				done
			echo '' >> $Modu
				echo 'Rejected raid disk list on '$i >> $Modu
				/usr/ssa/ssaraid/bin/ssaraid.smit lfssaraid_hdr_cmd_to_exec  -l $i >> $Modu
			echo '' >> $Modu
				echo 'Array Candidate disk list on '$i >> $Modu
				/usr/ssa/ssaraid/bin/ssaraid.smit lcssaraid_hdr_cmd_to_exec  -l $i >> $Modu
			echo '' >> $Modu
				echo 'AIX System disks list on '$i >> $Modu
				/usr/ssa/ssaraid/bin/ssaraid.smit lassaraid_hdr_cmd_to_exec  -l $i >> $Modu
			echo '' >> $Modu
		done
	else
		>$Modu
fi
# --- Fin du module
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module d analyse d erreur errpt simple
ModHHH006()  # Numro d execution
{
$debug
#yyyy ModHHH006 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH006"
TitreModule="Error logs(errpt)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
#errpt > $temp"jfp1"
#tail -n 120 $temp"jfp1" > $temp"jfp2"
#echo "(le log d erreurs est limit  120 lignes)" > $Modu
errpt | head -n 120 >> $Modu
#cat $temp"jfp2" >>$Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module d analyse d erreur errptavec rsum hard
ModHHH007()  # Numro d execution
{
$debug
#yyyy ModHHH007 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH007"
TitreModule="hards errors logs summary"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
errpt -d H > $temp"jfp""1"
cat $temp"jfp""1" |grep -v IDENTIFIER > $temp"jfp""2" ; mv $temp"jfp""2" $temp"jfp""1"

# --- debut d analyse d erreurs ---
if [[ -s $temp"jfp""1" ]]
then
>$temp"jfp""2"
# ----- extraction des lignes avec un ID en double
        for i in $(cat $temp"jfp""1" | awk '{print $1}')
                do
                        cat $temp"jfp""1" |grep -w $i > $temp"jfp"
                        if [ $? = 0 ]
                                then
                                        print $i >> $temp"jfp""3"
                        fi
                        cat $temp"jfp""1" |grep -v $i > $temp"jfp""2" ; mv $temp"jfp""2" $temp"jfp""1"
        done
>$temp"jfp""1"
>$temp"jfp""2"
# ----- extraction des numeros de sequence et cration du fichier resume des erreurs
	for i in $(cat $temp"jfp""3")
		do
			errpt -j $i -a | grep -i equence | awk '{print $NF}' > $temp"jfp""1"
			NombreLigne=$(cat $temp"jfp""1" | wc -l)
			print '____________________________________________________________________________' >> $temp"jfp""2"
			print '============================================================================' >> $temp"jfp""2"
			print 'there are '$NombreLigne'  type error on this server : '$(hostname) >> $temp"jfp""2"
			errpt -a -l $(cat $temp"jfp""1") >> $temp"jfp""2"
	done
else
	> $temp"jfp""2"
fi
# --- creation du fichier analyselog.txt
mv $temp"jfp""2" $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de controle de firmware
ModHHH008()  # Numro d execution
{
$debug
#yyyy ModHHH008 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod ligne i
NomMod="HHH008"
TitreModule="Firmware Level"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module

if [ $(echo $NomAudit | cut -c -2) != 91 ]
then
	lscfg -vp | grep -p alterable | grep -E ":|alterable|FRU|part" >> $Modu
	echo '' >> $Modu
	lscfg -vp | grep -p LID >> $Modu
else
	((i=0))
	lscfg -vp | while read ligne ; do
	echo $ligne | grep -i "platform specific" > $temp"jfp2"
	if [ -s $temp"jfp2" ] || (( $i == 1 ))
	then
	        ((i=1))
	        echo $ligne >> $temp"jfp1"
	fi
	done
	cat $temp"jfp1" | grep -ip firmware >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de liste scsi raid
ModHHH009()  # Numro d execution
{
$debug
#yyyy ModHHH009 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod bb Nbbb
typeset  location_adptr location_adptr scsi_id_adptr hdisks scsi_id_hdisk
NomMod="HHH009"
TitreModule="SCSI Raid card"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -C -F name | grep scraid | while read CarteScsiRaid ; do
echo '</PRE><b>adapter : '$CarteScsiRaid'</b><PRE width=10>' > $temp"jfp""1"
location_adptr=`lsdev -Cl $CarteScsiRaid | awk '{ print $3 }'`
scsi_id_adptr=`echo $location_adptr | cut -c1-5`

# --- hdisks Available
hdisks=`lsdev -C -tarray -sscraid -SA -F name`

if [ -n "$hdisks" ]
then
	for i in $hdisks
	do
		location_hdisk=`lsdev -Cl $i | awk '{ print $3 }'`
		scsi_id_hdisk=`echo $location_hdisk | cut -c1-5`
		if [ $scsi_id_hdisk = $scsi_id_adptr ]
		then
			scraidmgr -C -l $i >> $temp"jfp""1"
		fi
	done
fi

# --- hdisks Defined
hdisks=`lsdev -C -tarray -sscraid -SD -F name`

if [ -n "$hdisks" ]
then
	for i in $hdisks
	do
		location_hdisk=`lsdev -Cl $i | awk '{ print $3 }'`
		scsi_id_hdisk=`echo $location_hdisk | cut -c1-5`
		if [ $scsi_id_hdisk = $scsi_id_adptr ]
		then
			scraidmgr -J -l $i >> $temp"jfp""1" 2>$temp"jfp5"
			if [ $? -ne 0 ]
			then
				echo '<b>'$CarteScsiRaid', Disk Array '$i' ; IN ERROR </b><br>' >> $Resu
				echo '<b>'$CarteScsiRaid', Disk Array '$i' : </b><br>' >> $temp"jfp1"
				cat $temp"jfp5" >> $temp"jfp1"
		        fi
		fi
	done
fi

#--- FAILED drives (Dead Hot Spare)
scraidmgr -W -l $CarteScsiRaid >> $temp"jfp""1"

#--- SPARE Drives
scraidmgr -S -l $CarteScsiRaid >> $temp"jfp""1"

#---HOT SPARE and NONEXISTENT Drives
scraidmgr -V -l $CarteScsiRaid >> $temp"jfp""1"

# Display limited information regarding adapter write cache
scraidmgr -G -l $CarteScsiRaid >> $temp"jfp""1"
# sortie des informations de VPD
>$temp"jfp""3"
scraidmgr -l $CarteScsiRaid -B | grep -v "drive" > $temp"jfp""4"
cat $temp"jfp""4" | grep -v ":N:" | cut -b1-2 | while read bb ; do
	scraidmgr -l $CarteScsiRaid -P -y $bb | grep -E "Type|Model|Level|S/N|State" | cut -c28- > $temp"jfp""2"
	((i=1))
	cat $temp"jfp""2" | while read aa[$i] ; do
		((i+=1))
	done
	Nbbb=$(echo ${aa[1]} | grep "FAIL")
[ "$Nbbb" != "" ] && echo '<b>'$CarteScsiRaid', Channel '$bb'; '${aa[2]}'_'${aa[3]}' ; S/N:'${aa[6]}' ; '${aa[1]}'</b><br>' >> $Resu
echo 'Channel :'$bb' ;'${aa[2]}'_'${aa[3]}' ; level:'${aa[4]}${aa[5]}' ; S/N:'${aa[6]}' ; '${aa[1]} >> $temp"jfp""3"
done

# --- mise en forme
cat $temp"jfp""1" >> $Modu
echo '' >> $Modu
echo 'Channels list :' >> $Modu
cat $temp"jfp""3" >> $Modu
# --- comptage des disques pour le rsum
cat $temp"jfp""3" | awk '{print $3 }' | while read bb ; do
	cat $temp"jfp""3" | awk '{print $3 }' | read bb
	if [[ $bb != "" ]]
	then
		Nbbb=$(cat $temp"jfp""3" | grep $bb | wc -l)
		echo $CarteScsiRaid' --> '$Nbbb' x '$bb'<br>' >> $Resu
		cat $temp"jfp""3" | grep -v $bb > $temp"jfp""2" ; mv $temp"jfp""2" $temp"jfp""3"
	fi
done


done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de controle de firmware
ModHHH010()  # Numro d execution
{
$debug
#yyyy ModHHH010 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH010"
TitreModule=" Boot list"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
bootlist -m normal -o > $Modu
echo "" >> $Modu
echo "Last boot :" >> $Modu
bootinfo -b >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de controle de firmware
ModHHH011()  # Numro d execution
{
$debug
#yyyy ModHHH011 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod liste
NomMod="HHH011"
TitreModule=" Physicals disk list"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cc adapter -F name | while read adapt ; do
addrCtrl=$(lsdev -Cl $adapt | awk '{ print $3 }' | cut -c3-3)
if [ "$addrCtrl" = "-" ]
then
	add_adptr=`lsdev -Cl $adapt | awk '{ print $3 }'`
	add_adptr1=`echo $add_adptr | cut -c1-5`
	lsdev -C | grep $add_adptr | grep disk > $temp"jfp3"
	if [ -s $temp"jfp3" ]
	then
		lsdev -C | grep disk | grep $add_adptr | grep -viE "SSA Logical|raid|array" > $temp"jfp1"
		if [ -s $temp"jfp1" ]
		then
			echo '</PRE><b>Connected Devices List at : '$adapt'</b><PRE width=10>' >> $temp"jfp5"
			echo '</PRE>Disk...|...P/N.....FRU...|...Type/model...|...Firmware...|...Info_Suppl<PRE width=10>' >> $temp"jfp5"
			lsdev -C | grep disk | grep $add_adptr | grep -viE "SSA Logical|raid|array" | awk '{print $1}' | while read disk ; do
				lscfg -vl $disk | grep -iE "disk|Type and Model|FRU|ROS Level|Part Number" | tr " " "#" | tr "." " " > $temp"jfp2"

				DiskType=$(cat $temp"jfp2" | grep -i "Type#and#Model" | awk '{print $2}' | tr "#" " ") >> $temp"jfp4"
				DiskPart=$(cat $temp"jfp2" | grep -i "Part#Number" | awk '{print $2}' | tr "#" " ") >> $temp"jfp4"
				DiskFRU=$(cat $temp"jfp2" | grep -i "FRU" | awk '{print $2}' | tr "#" " ") >> $temp"jfp4"
				DiskRos=$(cat $temp"jfp2" | grep -i "ROS#Level" | awk '{print $2}' | tr "#" " ") >> $temp"jfp4"
				cat $temp"jfp2" | grep -i $disk | tr "(" " " > $temp"jfp7"
				cat $temp"jfp7" | tr "#" " " | read dskNom capacit
				echo $disk" "$DiskPart" "$DiskFRU" "$DiskType" "$DiskRos" ("$capacit >> $temp"jfp4"
			done
		fi
	fi
fi
cat $temp"jfp5" >> $Modu
cat $temp"jfp4" >> $Modu
cat $temp"jfp4" | awk '{print $3 }' | while read bb ; do
	cat $temp"jfp4" | awk '{print $2 }' | read bb
	if [[ $bb != "" ]]
	then
		echo $adapt | grep ssa >$temp"jfp0" 2>$temp"jfp0"
		if [ $? != 0 ]
		then
			Nbbb=$(cat $temp"jfp4" | grep $bb | wc -l)
			echo $adapt' --> '$Nbbb' x '$bb'<br>' >> $Resu
			cat $temp"jfp4" | grep -v $bb > $temp"jfp2" ; mv $temp"jfp2" $temp"jfp4"
		fi
	fi
done
>$temp"jfp5"
>$temp"jfp4"
done

echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModHHH012()  # Numro d execution
{
$debug
#yyyy ModHHH012 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH012"
TitreModule="Powerpaths status"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
powermt version >> $Modu
powermt display dev='all' >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModHHH013()  # Numro d execution
{
$debug
#yyyy ModHHH013 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH013"
TitreModule="hardware (P/N)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lscfg -vp | grep -i -p "processor card" | grep -i -E "processor card|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "memory card" | grep -i -E "memory card|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "system planar" | grep -i -E "system planar|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "i/o planar" | grep -i -E "i/o planar|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "op panel" | grep -i -E "op panel|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "memory DIMM" | grep -i -E "memory DIMM|size|fru|part number|(YL)|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "graphics adapter" | grep -i -E "graphics adapter|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "power supply" | grep -i -E "power supply|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "system backplane" | grep -i -E "system backplane|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "RIO-PCI COPPER" | grep -i -E "RIO-PCI COPPER|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "ANCHOR" | grep -i -E "ANCHOR|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "PU4SCSI" | grep -i -E "PU4SCSI|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "AIR MOVER" | grep -i -E "AIR MOVER|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "AC PS" | grep -i -E "AC PS|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "DC-DC" | grep -i -E "DC-DC|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "backplane" | grep -i -E "backplane|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "proc CUOD" | grep -i -E "proc CUOD|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "BP EXTENSION" | grep -i -E "BP EXTENSION|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "FSP" | grep -i -E "FSP|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "gb ms" | grep -i -E "gb ms|size|fru|part number|(YL)|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "pci expansion" | grep -i -E "pci expansion|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "pci riser" | grep -i -E "pci riser|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "dist conv asm" | grep -i -E "dist conv asm|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "service processor" | grep -i -E "service processor|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "rs riser 16" | grep -i -E "rs riser 16|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "op pan" | grep -i -E "op pan|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "rio to pci" | grep -i -E "rio to pci|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "acps" | grep -i -E "acps|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "mcm" | grep -i -E "mcm|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "clock card" | grep -i -E "clock card|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "motor drv" | grep -i -E "motor drv|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "primary be" | grep -i -E "primary be|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "vpd/error log" | grep -i -E "vpd/error log|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "bp bus" | grep -i -E "bp bus|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "capbook" | grep -i -E "capbook|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )
lscfg -vp | grep -i -p "bulk" | grep -i -E "bulk|fru|part number|location" > $temp"jfp1"
[ -s $temp"jfp1" ] && ( cat $temp"jfp1" >> $Modu ; echo "." >> $Modu )


echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de liste scsi raid X
ModHHH014()  # Numro d execution
{
$debug
#yyyy ModHHH014 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod bb Nbbb
typeset  location_adptr location_adptr scsi_id_adptr hdisks scsi_id_hdisk CarteScsiRaidX
NomMod="HHH014"
TitreModule="PCI X SCSI Raid card"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -C -F name | grep sisioa | while read CarteScsiRaidX ; do
echo '</PRE><b>adapter : '$CarteScsiRaidX'</b><PRE width=10>' >> $Modu
sisraidmgr -L -j1 -l $CarteScsiRaidX >> $Modu
echo '</PRE><b>Info Battery : '$CarteScsiRaidX'</b><PRE width=10>' >> $Modu
sisraidmgr -M -o0 -l $CarteScsiRaidX >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de enclosure ou baie
ModHHH015()  # Numro d execution
{
$debug
#yyyy ModHHH015 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod bb Nbbb
typeset  location_adptr location_adptr scsi_id_adptr hdisks scsi_id_hdisk CarteScsiRaidX result
NomMod="HHH015"
TitreModule="Enclosure or subsystem"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$temp"jfp5"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cc adapter -F name | grep scraid > $temp"jfp0"
if [ -s $temp"jfp0" ]
then
	cat $temp"jfp0" | while read CarteScsiRaid ; do
		((i=0))
		while (( $i < 4 ))
		do
		        ((i+=1))
		        scraidmgr -l $CarteScsiRaid -P -y "$i"F | grep Type | cut -c28- >> $temp"jfp5"
		done
		>$temp"jfp6"
		cat $temp"jfp5" | while read result ; do
			[[ $result != "" ]] && echo "Product Type: "$result >> $temp"jfp6"
		done
	done
fi
lscfg -vp | grep -iE "enclosure|ses|dac|safte" | awk '{print $1}' > $temp"jfp0"
cat $temp"jfp0" | while read enclo ; do
	lscfg -vl $enclo | grep -iE "$enclo|Part Number|FRU|Machine Type|ROS Level|Manufacturer" >> $temp"jfp2"
done
cat $temp"jfp2" | grep 9L1850 > $temp"jfp3"
cat $temp"jfp2" | grep 2104 >> $temp"jfp4"
if [ -s $temp"jfp3" ]
then
	echo '</PRE><b>Configured subsystem ssa 7133, P/N 09L1850</b><PRE width=10>' >> $temp"jfp1"
	echo baie ssa 7133'<br>' >> $Resu
fi
if [ -s $temp"jfp4" ]
then
	NomLabel="xxxx"
	echo '</PRE><b>Configured susbsytem SCSI 2104 </b><PRE width=10>' >> $temp"jfp1"
	echo $NomLabel'baie scsi 2104<br>' >> $Resu
fi
if [ -s $temp"jfp6" ]
then
	cat $temp"jfp6" | grep 2104 > $temp"jfp7"
	if [ -s $temp"jfp7" ]
	then
		NomLabel="xxxx"
		echo '</PRE><b>Configured subsystem scsi 2104 with scraid card, recall in scsi raid card information</b><PRE width=10>' >> $temp"jfp1"
	fi
fi
echo '</PRE><b>Enclosures or subsytem details </b><PRE width=10>' >> $temp"jfp1"
cat $temp"jfp1" >> $Modu
cat $temp"jfp2" >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Commande lsdev -C
ModHHH016()  # Numro d execution
{
$debug
#yyyy ModHHH016 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH016"
TitreModule="Command : lsmap"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
/usr/ios/cli/ioscli lsmap -all >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Commande lsdev -C
ModHHH017()  # Numro d execution
{
$debug
#yyyy ModHHH017 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH017"
TitreModule="Command : lsmap -all -net"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
/usr/ios/cli/ioscli lsmap -all -net >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module d analyse d erreur errpt complet
ModHHH018()  # Numro d execution
{
$debug
#yyyy ModHHH018 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH018"
TitreModule="hards errors logs (-a), all"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
errpt -a > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module d analyse d erreur errpt complet
ModHHH019()  # Numro d execution
{
$debug
#yyyy ModHHH019 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH019"
TitreModule="Drivers Lists: lsdev -Cc driver"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cc driver > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}

ModHHH020()  # Numro d execution
{
$debug
#yyyy ModHHH020 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH020"
TitreModule="FAST: fget_config -Av"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
fget_config -Av > $temp"jfp1"
[ $? = 0 ] && cat $temp"jfp1" > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH021()  # Numro d execution
{
$debug
#yyyy ModHHH021 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH021"
TitreModule="lspath"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lspath -HF "status name path_id parent connection" > $temp"jfp1"
[ $? = 0 ] && cat $temp"jfp1" > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH022()  # Numro d execution
{
$debug
#yyyy ModHHH022 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH022"
TitreModule="SDD DataPath (vpath)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
datapath query version > $temp"jfp1"
if [ $? = 0 ]
then
	echo '</PRE><b>datapath query version : '$sas'</b><PRE width=10>' >> $Modu
	datapath query version >> $Modu
	echo '</PRE><b>datapath query adapter : '$sas'</b><PRE width=10>' >> $Modu
	datapath query adapter >> $Modu
	echo '</PRE><b>datapath query device : '$sas'</b><PRE width=10>' >> $Modu
	datapath query device >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH023()  # Numro d execution
{
$debug
#yyyy ModHHH023 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH023"
TitreModule="MPIO Path"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
pcmpath query adapter > $temp"jfp1"
if [ $? = 0 ]
then
	echo '</PRE><b>pcmpath query adapter : '$sas'</b><PRE width=10>' >> $Modu
	pcmpath query adapter >> $Modu
	echo '</PRE><b>pcmpath query device : '$sas'</b><PRE width=10>' >> $Modu
	pcmpath query device >> $Modu
	echo '</PRE><b>pcmpath query essmap : '$sas'</b><PRE width=10>' >> $Modu
	pcmpath query essmap >> $Modu
	echo '</PRE><b>pcmpath query portmap : '$sas'</b><PRE width=10>' >> $Modu
	pcmpath query portmap >> $Modu
	echo '</PRE><b>pcmpath query wwpn : '$sas'</b><PRE width=10>' >> $Modu
	pcmpath query wwpn >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModHHH024()  # Numro d execution
{
$debug
#yyyy ModHHH024 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="HHH024"
TitreModule="Slots : (lsslot -c pci)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsslot -c pci >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMH"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Commande lscfg -vp
ModAAA004()  # Numro d execution
{
$debug
#yyyy ModAAA004 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA004"
TitreModule="lscfg -vp"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
lscfg -vp > $temp"jfp""1"
if [ $? = 0 ]
	then
		echo '#lscfg -vp ' > $Modu
		lscfg -vp >> $Modu
	else
		 echo '#lscfg -v ' > $Modu
                lscfg -v >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Commande lsdev -Cc disk
ModAAA003()  # Numro d execution
{
$debug
#yyyy ModAAA003 oui
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA003"
TitreModule="lsdev -Cc disk"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
lsdev -Cc disk > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module commande lspv
ModAAA005()  # Numro d execution
{
$debug
#yyyy ModAAA005 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA005"
TitreModule="lspv"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lspv  > $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module commande lspv
ModAAA006()  # Numro d execution
{
$debug
#yyyy ModAAA006 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod b c d e nbdisk
NomMod="AAA006"
TitreModule="lspath"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lspath -F 'status name path_id parent connection' >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA007()  # Numro d execution
{
$debug
#yyyy ModAAA007 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA007"
TitreModule="lsdev -Cs scsi"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cs scsi >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA008()  # Numro d execution
{
$debug
#yyyy ModAAA008 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA008"
TitreModule="lsdev -Cc adapter"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -Cc adapter >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA009()  # Numro d execution
{
$debug
#yyyy ModAAA009 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA009"
TitreModule="lsdev -C"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -C >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA010()  # Numro d execution
{
$debug
#yyyy ModAAA010 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA010"
TitreModule="lspv (for each disk)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc disk -F name)
do
	lspv $i >> $Modu &
	pid=$!
	sleep 2
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	if [ $? = '0' ]
	then
		sleep 30
		kill -0 $pid 1>$temp"0" 2>$temp"0"
		[ $? = '0' ] && kill -9 $pid
	fi
	echo '' >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA011()  # Numro d execution
{
$debug
#yyyy ModAAA011 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod device pid
NomMod="AAA011"
TitreModule="lsvg -p (for each vg)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsvg)
do
	lsvg -p $i >> $Modu &
	pid=$!
	sleep 2
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	if [ $? = '0' ]
	then
		sleep 30
		kill -0 $pid 1>$temp"0" 2>$temp"0"
		[ $? = '0' ] && kill -9 $pid
	fi
	echo '' >> $Modu
done
cat $Modu | grep missing > $temp"jfp1"
if [ -s $temp"jfp1" ]
then
	device=$(cat $temp"jfp1" | awk '{print $1}')
	echo '<b>disk drive :'$device' ; missing </b><br>' >> $Resu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA012()  # Numro d execution
{
$debug
#yyyy ModAAA012 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA012"
TitreModule="netstat -r"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
netstat -r >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA013()  # Numro d execution
{
$debug
#yyyy ModAAA013 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA013"
TitreModule="ifconfig -a"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
ifconfig -a >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA014()  # Numro d execution
{
$debug
#yyyy ModAAA014 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA014"
TitreModule="lsattr -El (for each ADAPTERS)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc adapter -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Adapters parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModAAA015()  # Numro d execution
{
$debug
#yyyy ModAAA015 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA015"
TitreModule="ls -l /dev"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
ls -l /dev >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModAAA016()  # Numro d execution
{
$debug
#yyyy ModAAA016 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod Ent etat
NomMod="AAA016"
TitreModule="entstat -d entxx"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -l ent* -F name | while read Ent ; do
echo '</PRE><b><u>Adapter : '$Ent'</u></b><PRE width=12>' >> $Modu
echo '</PRE><b>Rsuming : '$Ent'</b><PRE width=10>' >> $Modu
entstat -d $Ent | grep -E "Backup|adapters|Active|Status|ETHERNET|Device" > $temp"1"
cat $temp"1" | grep "down" > $temp"2"
if [ -s $temp"2" ]
then
	echo '<b>'$Ent' -->IN ERROR '$(cat $temp"2")'</b><br>' >> $Resu
fi
cat $temp"1" >> $Modu
echo '</PRE><b>Details : '$Ent'</b><PRE width=10>' >> $Modu
entstat -d $Ent >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module commande lsvg
ModAAA017()  # Numro d execution
{
$debug
#yyyy ModAAA017 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA017"
TitreModule="lsvg , and lsvg -o"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
echo '</PRE><b>lsvg : </b><PRE width=10>' > $Modu
lsvg  >> $Modu
echo '</PRE><b>lsvg -o : </b><PRE width=10>' >> $Modu
lsvg -o >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModAAA018()  # Numro d execution
{
$debug
#yyyy ModAAA018 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA018"
TitreModule="lsattr -El (for each DRIVERS)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc driver -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Drivers parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}

ModAAA019()  # Numro d execution
{
$debug
#yyyy ModAAA019 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="AAA019"
TitreModule="lsattr -El (for each ARRAY)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc array -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Arrays parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModAAA020()  # Numro d execution
{
$debug
#yyyy ModAAA020 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod i
NomMod="AAA020"
TitreModule="lsattr -El (for each Tape)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc tape -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Tapes parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModAAA021()  # Numro d execution
{
$debug
#yyyy ModAAA021 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod i
NomMod="AAA021"
TitreModule="lsattr -El (for each Processor)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc processor -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Processor parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModAAA022()  # Numro d execution
{
$debug
#yyyy ModAAA022 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod i
NomMod="AAA022"
TitreModule="lsattr -El (for each Memory)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc memory -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>Memory parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModAAA023()  # Numro d execution
{
$debug
#yyyy ModAAA023 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod i
NomMod="AAA023"
TitreModule="lsattr -El (for each System Objet)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc sys -F name)
do
	lsattr -El $i > $temp"jfp""1"
	# --- afficher que si differant de zero ---
	if [[ -s $temp"jfp""1" ]]
	then
		echo '---------------------------------------------------------------------' >> $Modu
		echo '</PRE><b>System Objet parameters : '$i'</b><PRE width=10>' >> $Modu
		echo '-------------------------' >> $Modu
		cat $temp"jfp""1" >> $Modu
	fi
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMA"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModSSS002()  # Numro d execution
{
$debug
#yyyy ModSSS002 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod psi
NomMod="SSS002"
TitreModule="Installed level Maintenance"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsdev -C -Sa -F name | grep atf > $temp"jfp1"
if [ $? = 0 ]
then
	for i in $(lsdev -C -Sa -F name | grep atf)
	  do
	  echo '</PRE><b>Pseudo-Devices : '$psi'</b><PRE width=10>' >> $Modu
	  /usr/sbin/atf/atfi -d $psi -p >> $Modu
	  echo '' >> $Modu
	done
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModSSS003()  # Numro d execution
{
$debug
#yyyy ModSSS003 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS003"
TitreModule="lspv -l (for each disk)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $1 != "conf" ]]
then
# --- Calcul du module
for i in $(lsdev -Cc disk -F name)
do
	lspv -l $i > $temp"jfp1" 2>> $temp"jfp1" &
	pid=$!
	sleep 2
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	if [ $? = '0' ]
	then
		sleep 30
		kill -0 $pid 1>$temp"0" 2>$temp"0"
		[ $? = '0' ] && kill -9 $pid
	fi

	if [[ -s $temp"jfp1" ]]
	then
		#echo "Disque "$i" : " >> $Modu
	echo '</PRE><b>'$(lsdev -Cc disk | grep -w $i)' : '$sas'</b><PRE width=10>'  >> $Modu
		#lsdev -Cc disk | grep $i >> $Modu
		cat $temp"jfp""1" | grep -v $i >> $Modu
	fi
	echo '' >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de Maintenance level
ModSSS004()  # Numro d execution
{
$debug
#yyyy ModSSS004 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS004"
TitreModule="Installed level Maintenance"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
instfix -i | grep ML > $Modu
echo "" >> $Modu
oslevel -s >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS005()  # Numro d execution
{
$debug
#yyyy ModSSS005 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS005"
TitreModule="HACMP : snapshots"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L | grep cluster > $temp"jfp0"
if [[ -s $temp"jfp0" ]]
then
	# --- machine contenant hacmp ---
	ps -ef | grep cls | grep usr > $temp"jfp1"
	if [[ -s $temp"jfp1" ]]
	then
		echo '</PRE><b>HACMP Starded </b><PRE width=10>' > $Modu
	else
		echo '</PRE><b>HACMP not Starded </b><PRE width=10>' >> $Modu
	fi
	echo '</PRE><b>Snapshots :</b><PRE width=10>' > $temp"jfp4"
	/usr/sbin/cluster/utilities/clsnapshot -c -i -n'snapECS' -m 'All' -d "Audit ECS Solutis" 1>$temp"jfp3" 2>$temp"jfp3"
	cp /usr/sbin/cluster/snapshots/snapECS.info $temp"jfp5"
	cat $temp"jfp5" >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS006()  # Numro d execution
{
$debug
#yyyy ModSSS006 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS006"
TitreModule="File System space (df)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
df >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS007()  # Numro d execution
{
$debug
#yyyy ModSSS007 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS007"
TitreModule="File System charactristics"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsfs -a >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS008()  # Numro d execution
{
$debug
#yyyy ModSSS008 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS008"
TitreModule="Paging space charactristics"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsps -a >> $Modu &
pid=$!
sleep 2
kill -0 $pid 1>$temp"0" 2>$temp"0"
if [ $? = '0' ]
then
	sleep 30
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	[ $? = '0' ] && kill -9 $pid
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS009()  # Numro d execution
{
$debug
#yyyy ModSSS009 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod pid
NomMod="SSS009"
TitreModule="info volume groupe (lsvg -l)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsvg)
do
	lsvg -l $i >> $Modu &
	pid=$!
	sleep 2
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	if [ $? = '0' ]
	then
		sleep 30
		kill -0 $pid 1>$temp"0" 2>$temp"0"
		[ $? = '0' ] && kill -9 $pid
	fi
	echo '' >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS010()  # Numro d execution
{
$debug
#yyyy ModSSS010 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS010"
TitreModule="List Installed Software (lsllp -L)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# ---------------------------------------------------
# --- Module de base
ModSSS011()  # Numro d execution
{
$debug
#yyyy ModSSS011 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS011"
TitreModule="Info system (lsattr -El sys0)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lsattr -El sys0 >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS012()  # Numro d execution
{
$debug
#yyyy ModSSS012 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS012"
TitreModule="Network status (netstat -i)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
netstat -i >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS013()  # Numro d execution
{
$debug
#yyyy ModSSS013 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS013"
TitreModule="List All Routes (netstat -rn)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
netstat -rn >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS014()  # Numro d execution
{
$debug
#yyyy ModSSS014 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS014"
TitreModule="Address resolution (arp -a)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
arp -a | grep at >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS015()  # Numro d execution
{
$debug
#yyyy ModSSS015 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS015"
TitreModule="status of a subsystem (lssrc -a)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lssrc -a | grep at >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS016()  # Numro d execution
{
$debug
#yyyy ModSSS016 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS016"
TitreModule="File system available for use (mount)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
mount >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS017()  # Numro d execution
{
$debug
#yyyy ModSSS017 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS017"
TitreModule="Network system tuning (no -a)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
no -a >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS018()  # Numro d execution
{
$debug
#yyyy ModSSS018 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS018"
TitreModule="VG Information : lsvg (for each vg)"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp""1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
for i in $(lsvg)
do
	lsvg $i >> $Modu &
	pid=$!
	sleep 2
	kill -0 $pid 1>$temp"0" 2>$temp"0"
	if [ $? = '0' ]
	then
		sleep 30
		kill -0 $pid 1>$temp"0" 2>$temp"0"
		[ $? = '0' ] && kill -9 $pid
	fi
	echo '' >> $Modu
done
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}

ModSSS019()  # Numro d execution
{
$debug
#yyyy ModSSS019 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS019"
TitreModule="Processus lists : ps -eaf"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
ps -eaf >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}

# ---------------------------------------------------
# --- Module de base
ModSSS020()  # Numro d execution
{
$debug
#yyyy ModSSS020 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS020"
TitreModule="HACMP : cllscf"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L | grep cluster > $temp"jfp0"
if [[ -s $temp"jfp0" ]]
then
	# --- machine contenant hacmp ---
	ps -ef | grep cls | grep usr > $temp"jfp1"
	if [[ -s $temp"jfp1" ]]
	then
		echo 'HACMP Starded' >> $Modu
	else
		echo 'HACMP not Starded ' >> $Modu
	fi
	echo '</PRE>___________________________________<PRE width=10>' >> $Modu
	/usr/sbin/cluster/utilities/cllscf >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS021()  # Numro d execution
{
$debug
#yyyy ModSSS021 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS021"
TitreModule="HACMP : cllsnw"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L | grep cluster > $temp"jfp0"
if [[ -s $temp"jfp0" ]]
then
	# --- machine contenant hacmp ---
	ps -ef | grep cls | grep usr > $temp"jfp1"
	if [[ -s $temp"jfp1" ]]
	then
		echo 'HACMP Starded' >> $Modu
	else
		echo 'HACMP not Starded ' >> $Modu
	fi
	echo '</PRE>___________________________________<PRE width=10>' >> $Modu
	/usr/sbin/cluster/utilities/cllsnw >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS022()  # Numro d execution
{
$debug
#yyyy ModSSS022 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS022"
TitreModule="HACMP : cllsif"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L | grep cluster > $temp"jfp0"
if [[ -s $temp"jfp0" ]]
then
	# --- machine contenant hacmp ---
	ps -ef | grep cls | grep usr > $temp"jfp1"
	if [[ -s $temp"jfp1" ]]
	then
		echo 'HACMP Starded' >> $Modu
	else
		echo 'HACMP not Starded ' >> $Modu
	fi
	echo '</PRE>___________________________________<PRE width=10>' >> $Modu
	/usr/sbin/cluster/utilities/cllsif >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
# ---------------------------------------------------
# --- Module de base
ModSSS023()  # Numro d execution
{
$debug
#yyyy ModSSS023 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS023"
TitreModule="HACMP : clshowres"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
lslpp -L | grep cluster > $temp"jfp0"
if [[ -s $temp"jfp0" ]]
then
	# --- machine contenant hacmp ---
	ps -ef | grep cls | grep usr > $temp"jfp1"
	if [[ -s $temp"jfp1" ]]
	then
		echo 'HACMP Starded' >> $Modu
	else
		echo 'HACMP not Starded ' >> $Modu
	fi
	echo '</PRE>___________________________________<PRE width=10>' >> $Modu
	/usr/sbin/cluster/utilities/clshowres >> $Modu
fi
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
ModSSS024()  # Numro d execution
{
$debug
#yyyy ModSSS024 oui
typeset i
typeset j=$1
typeset -i a=0
typeset TitreModule temp NomMod
NomMod="SSS024"
TitreModule="Processus lists : ps gv"
temp=$tpvar$j$NomMod
Somm=$tpsort"Som"$NomMod
Modu=$tpsort"Mod"$NomMod
Resu=$tpsort"Res"$NomMod
>$temp"jfp1"
>$Modu
>$Somm
if [[ $j != "conf" ]]
then
# --- Calcul du module
ps gv >> $Modu
echo $j > $Somm
echo $TitreModule >> $Somm
else
	echo $TitreModule >> $tpsort"ListeTitreMS"
	TitreMod=$TitreModule
fi
rm -f $temp"jfp"*
return $a
}
#
# ---------------------------------------------------
# --- fonction de mise en forme des erreurs
MiseEnFormeErreur ()
{
$debug
cat $1 > $TecsLog
# --- debut d analyse d erreurs ---
if [[ -s $TecsLog ]]
then
> $TecsLog2
# ----- extraction dans $TecsLog2 des lignes avec un ID en double
        for i in $(cat $TecsLog | awk '{print $1}')
                do
                        cat $TecsLog |grep -w $i > $Tecs
                        if [ $? = 0 ]
                                then
                                        print $i >> $TecsLog2
                        fi
                        cat $TecsLog |grep -v $i > $TecsLog1 ; mv $TecsLog1 $TecsLog
        done
> $TecsLog
> $TecsLog1
# ----- extraction des numeros de sequence et cration du fichier resume des erreurs
	for i in $(cat $TecsLog2)
		do
			>$Tmp2
			# --- liste des ressources concern
			errpt -j $i | grep -v IDENTIFIER | awk '{print $5}' > $Tmp
			for kk in $(cat $Tmp)
			do
				cat $Tmp | grep -w $kk > $tmp
				if [ $? = 0 ]
                                then
					print $kk >> $Tmp2
				fi
				cat $Tmp | grep -v $kk > $Tmp1
				mv $Tmp1 $Tmp
			done
			errpt -j $i -a | grep -i equence | awk '{print $NF}' > $TecsLog
			NombreLigne=$(cat $TecsLog | wc -l)
			print '____________________________________________________________________________' >> $TecsLog1
			print '============================================================================' >> $TecsLog1
			print 'There are '$NombreLigne'  type errors on this server : '$(hostname) >> $TecsLog1
			print 'The following sources concerned : '$(cat $Tmp2) >> $TecsLog1
			errpt -a -l $(cat $TecsLog) >> $TecsLog1
	done
else
	> $TecsLog1
fi
# --- creation du fichier analyselog.txt
mv $TecsLog1 $log
# --- fin de fonction d analyse d erreur ---
}
#-----------------------------------------------------------------
# ---- gestion des arguments et execution
Extension=".html"
Compress="n"
while getopts cdn: name
do
	case $name in
		d)	DateAudit=$(date +%Od%m%OH%OM);;
		c)	Compress="c";;
		n)	NomClient="$OPTARG";;
		?)	printf "Usage: %s: [-c] [-n NomDuClient] args\n" $0
			information
			rm -f $temp"jfp"*

			exit 2;;
	esac
done

shift $(($OPTIND -1))
if [[ $* = "conf" ]]
then
     	menu0
     	rm -f $Rept"/ECSJFP"*
	rm -f $Rept"/ECSjfp"*
     	exit
fi
CorpsScript
echo 'End of Audit, the file name is ' $audit
if [[ $Compress != 'n' ]]
	then
		compress -v $audit
fi
rm -f $Rept"/ECSJFP"*
rm -f $Rept"/ECSjfp"*
#xxxx ModSSS003 oui
#xxxx ModSSS006 oui
#xxxx ModSSS009 oui
#xxxx ModSSS018 oui
#xxxx ModSSS004 oui
#xxxx ModSSS007 oui
#xxxx ModSSS008 oui
#xxxx ModSSS016 oui
#xxxx ModSSS015 oui
#xxxx ModSSS010 oui
#xxxx ModSSS011 oui
#xxxx ModSSS012 oui
#xxxx ModSSS013 oui
#xxxx ModSSS014 oui
#xxxx ModSSS017 oui
#xxxx ModSSS019 oui
#xxxx ModSSS024 oui
#xxxx ModSSS005 oui
#xxxx ModSSS020 oui
#xxxx ModSSS021 oui
#xxxx ModSSS022 oui
#xxxx ModSSS023 oui
#xxxx ModSSS002 oui
#xxxx ModSSS001 non

#xxxx ModAAA004 oui
#xxxx ModAAA017 oui
#xxxx ModAAA005 oui
#xxxx ModAAA011 oui
#xxxx ModAAA006 oui
#xxxx ModAAA010 oui
#xxxx ModAAA007 oui
#xxxx ModAAA003 oui
#xxxx ModAAA008 oui
#xxxx ModAAA009 oui
#xxxx ModAAA013 oui
#xxxx ModAAA012 oui
#xxxx ModAAA014 oui
#xxxx ModAAA018 oui
#xxxx ModAAA020 oui
#xxxx ModAAA021 oui
#xxxx ModAAA022 oui
#xxxx ModAAA023 oui
#xxxx ModAAA019 oui
#xxxx ModAAA015 oui
#xxxx ModAAA016 oui
#xxxx ModAAA001 non

#xxxx ModFFF002 oui
#xxxx ModFFF003 oui
#xxxx ModFFF004 oui
#xxxx ModFFF005 oui
#xxxx ModFFF007 oui
#xxxx ModFFF008 oui
#xxxx ModFFF001 non

#xxxx ModHHH010 oui
#xxxx ModHHH011 oui
#xxxx ModHHH003 oui
#xxxx ModHHH015 oui
#xxxx ModHHH020 oui
#xxxx ModHHH009 oui
#xxxx ModHHH014 oui
#xxxx ModHHH021 oui
#xxxx ModHHH022 oui
#xxxx ModHHH023 oui
#xxxx ModHHH002 oui
#xxxx ModHHH005 oui
#xxxx ModHHH012 oui
#xxxx ModHHH016 oui
#xxxx ModHHH017 oui
#xxxx ModHHH004 oui
#xxxx ModHHH006 oui
#xxxx ModHHH007 oui
#xxxx ModHHH018 oui
#xxxx ModHHH019 oui
#xxxx ModHHH013 oui
#xxxx ModHHH008 oui
#xxxx ModHHH024 oui
#xxxx ModHHH001 non
